function [] = global_display(sys,Section)
% Section is a structure containing all the information of the series,
% its change of stability, simple bifurcation information,...

% For now, no functions has been written for the display of
% quasi-periodic branches of solutions.

Upp = Section.Upp; % Point representation of the series

H=sys.H;
nz_tot=sys.nz_tot;

switch sys.type
    case 'HBM'
        % Plot the L2 norm of the u (first variable) and v (second variable)
        % along the solution-branch with respect to lambda in figure 5.
        plotbranchnormHBM(sys,Section,[1 2],'lambda',5);
        
        % Plot the Floquet exponents along the solution-branch in figure 7.
        plotfloquetexpHBM(sys,Section,'lambda',7);
    case 'QPHBM'
        % Nothing has been implemented yet to represent quasi-periodic
        % solutions.
        
        lambda = Upp(sys.neq+1,:);
        omega1 = Upp(sys.neq-1,:);
        omega2 = Upp(sys.neq,:);
        
        figure(7)
        plot(lambda,omega2./omega1,'b');hold on;
        xlabel('\lambda')
        ylabel('\omega_1 / \omega_2')
end

end
